igeo.io

## Class IRhino3dm.Layer

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Layer

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.Layer
      extends IRhino3dm.RhinoObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IColor` | `color`
    `IRhino3dm.UUID` | `displayMaterialId`
    `boolean` | `expanded`
    `int` | `igesLevel`
    `ILayer` | `ilayer`
    `IRhino3dm.UUID` | `layerId`
    `int` | `layerIndex`
    `int` | `linetypeIndex`
    `boolean` | `locked`
    `int` | `materialIndex`
    `java.lang.String` | `name`
    `IRhino3dm.UUID` | `parentLayerId`
    `IColor` | `plotColor`
    `double` | `plotWeightMm`
    `IRhino3dm.RenderingAttributes` | `renderingAttributes`
    `static java.lang.String` | `uuid`
    `boolean` | `visible`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Layer()`
    `Layer(ILayer ilayer, int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ILayer` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `int` | `getType()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `java.lang.String` | `toString()`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### layerIndex

          public int layerIndex

    - #### layerId

          public IRhino3dm.UUID layerId

    - #### parentLayerId

          public IRhino3dm.UUID parentLayerId

    - #### igesLevel

          public int igesLevel

    - #### materialIndex

          public int materialIndex

    - #### linetypeIndex

          public int linetypeIndex

    - #### color

          public IColor color

    - #### displayMaterialId

          public IRhino3dm.UUID displayMaterialId

    - #### plotColor

          public IColor plotColor

    - #### plotWeightMm

          public double plotWeightMm

    - #### name

          public java.lang.String name

    - #### visible

          public boolean visible

    - #### locked

          public boolean locked

    - #### expanded

          public boolean expanded

    - #### renderingAttributes

          public IRhino3dm.RenderingAttributes renderingAttributes

    - #### ilayer

          public ILayer ilayer

  - ### Constructor Detail

    - #### Layer

          public Layer()

    - #### Layer

          public Layer(ILayer ilayer,
                       int index)

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.RhinoObject`

    - #### getType

          public int getType()

      Overrides:
        `getType` in class `IRhino3dm.RhinoObject`

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Overrides:
        `write` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### createIObject

          public ILayer createIObject(IRhino3dm.Rhino3dmFile context,
                                      IServerI s)

      Overrides:
        `createIObject` in class `IRhino3dm.RhinoObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`